Subject: RE: [PATCH v3 02/15] xdiff: introduce rust

From: <[email-masked]>
Date: Wed, 27 Aug 2025 13:15:56 -0400

On August 27, 2025 1:06 PM, Junio C Hamano wrote:
><[email-masked]> writes:
>
>>>So my impression is that the main contention here is a concern that
>>>worsening the portability will make it harder to push out security
>>>fixes in either direction. But I don't think that's necessarily the
>>>case. Even if it is, I would again hope that the track record of the
>>>folks on the git-security list would suggest that we'd do the right
>>>thing and not abandon users on older platforms the moment Rust is introduced
>into the codebase.
>>
>> This is indeed my concern and hope, Taylor, as the maintainer for a
>> platform that is feeling abandoned. Please note that HPE NonStop is an
>> actively maintained and vendor supported commercial platform based on
>> x86_64 POSIX, just not a Linux/Windows machine.
>
>Thanks for a friendly conversation, but I would have to say that Taylor's "we know
>we end up having to support both, and we will do so" is way underestimates the
>cost to do so.  And I hope that an actively maintained and vendor supported
>commercial platform would bear the burden of the major part of that cost
>themselves, when it becomes necessary to do such a dual support.

If the platform provider had taken on git, that might be possible, but it is not
the case. This will come down to my small team to try to cope with this
situation - generally without any help from anyone else. I can do much,
but this will likely come down to my doing all of the work after hours
and on weekends with no other support, as has happened for the past
decade.